libzypp: zyppng::CheckSumWorkflow::CheckSumWorkflowLogic Struct Reference

libzypp 17.38.11

zyppng::CheckSumWorkflow::CheckSumWorkflowLogic Struct Reference

## Public Types
using | ProvideType = typename Context::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
using | ProvideRes = typename ProvideType::Res

## Public Member Functions
| CheckSumWorkflowLogic (ContextRef zyppContext, zypp::CheckSum &&checksum, zypp::Pathname file)
auto | execute ()

## Protected Attributes
ContextRef | _context
DigestReportHelper | _report
zypp::CheckSum | _checksum
zypp::Pathname | _file

## Detailed Description

Definition at line 33 of file checksumwf.cc.

## Member Typedef Documentation

## ◆ ProvideType

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::ProvideType = typename Context::ProvideType

Definition at line 36 of file checksumwf.cc.

## ◆ MediaHandle

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::MediaHandle = typename ProvideType::MediaHandle

Definition at line 37 of file checksumwf.cc.

## ◆ ProvideRes

using zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::ProvideRes = typename ProvideType::Res

Definition at line 38 of file checksumwf.cc.

## Constructor & Destructor Documentation

## ◆ CheckSumWorkflowLogic()

zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::CheckSumWorkflowLogic | ( | ContextRef | zyppContext,
|  | zypp::CheckSum && | checksum,
|  | zypp::Pathname | file )
| inline

Definition at line 40 of file checksumwf.cc.

## Member Function Documentation

## ◆ execute()

auto zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::execute | ( |  | ) |
| inline

Definition at line 47 of file checksumwf.cc.

## Member Data Documentation

## ◆ _context

ContextRef zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::_context
| protected

Definition at line 104 of file checksumwf.cc.

## ◆ _report

DigestReportHelper zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::_report
| protected

Definition at line 105 of file checksumwf.cc.

## ◆ _checksum

zypp::CheckSum zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::_checksum
| protected

Definition at line 106 of file checksumwf.cc.

## ◆ _file

zypp::Pathname zyppng::CheckSumWorkflow::CheckSumWorkflowLogic::_file
| protected

Definition at line 107 of file checksumwf.cc.

The documentation for this struct was generated from the following file:

- zypp/ng/workflows/checksumwf.cc